package cz.senslog.analytics.domain;


import java.util.List;

public record Threshold(long id, long datasourceId, boolean enable, boolean enableProcess, boolean enableAlert, String customAlertMessage, List<ThresholdDimension> thresholdDimensions) {

    public static Threshold of(long id, long datasourceId, boolean enable, boolean enableProcess, boolean enableAlert, String alertMessage, List<ThresholdDimension> thresholdDimensions) {
        return new Threshold(id, datasourceId, enable, enableProcess, enableAlert, alertMessage, thresholdDimensions);
    }
}
